# FEDS CLI

> Command-line interface pro FEDS

## Základní předpoklady pro používání

+ Nainstalované Node.js >=0.12.0 (testováno až do 5.2.0) včetně NPM - stáhnout a instalovat zde https://nodejs.org/en/
+ Python ^2.7.x - stáhnout a instalovat zde https://python.org
+ Schopnost elementárního používání příkazové řádky

### Speciality na Windows

Aplikce potřebuje mít možnost využívat C++ komponenty, aby byla rychlá a ty potřebují `node-gyp`, pro který je na Windows třeba udělat pár kroků navíc. Návod je zde: https://github.com/nodejs/node-gyp

## Použití

> Příkazy se spouští v Terminálu nebo Command line promptu (tj. ne v Node.js REPL)

### Instalace

```
$ npm install -g feds-cli@1.0.0-alpha.2
```

![Instalace](https://git.siteone.cz/feds/feds-cli/raw/a449d88dca2d5a886c0f14befce59d176e4ff65d/demos/install.gif)

### BrowserSync

```
$ feds-cli
```

![BrowserSync](https://git.siteone.cz/feds/feds-cli/raw/a449d88dca2d5a886c0f14befce59d176e4ff65d/demos/browsersync.gif)

## Authors & Contributors

+ Viktor Bezdek <viktor.bezdek@siteone.cz>

## License

Copyright (c) 2015 SiteOne, s.r.o.

[MIT License](http://en.wikipedia.org/wiki/MIT_License)
